PETSc version 3.15.5
Fix/Edit manual page

# TSAdaptSetMaxIgnore

Set error estimation threshold. Solution components below this threshold value will not be considered when computing error norms for time step adaptivity (in absolute value). A negative value (default) of the threshold leads to considering all solution components.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSAdaptSetMaxIgnore(TSAdapt adapt,PetscReal max_ignore)

Logically collective on TSAdapt

### Input Arguments

| adapt | - adaptive controller context
| max_ignore | - threshold for solution components that are ignored during error estimation

### Options Database Keys

| -ts_adapt_max_ignore <max_ignore> | - to set the threshold

### See Also

TSAdapt, TSAdaptGetMaxIgnore(), TSAdaptChoose()

### Level

intermediate

### Location

src/ts/adapt/interface/tsadapt.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages